Ameya Ameya -4 years ago 119
Java Question

Kodo on JBoss 7

We are looking to run replace Oracle Kodo 4 persistence (JPA) framework as it does not build with JDK 1.8 and JBoss EAP 7 throwing error in Maven build.

Is there any official document supporting Kodo has been deprecated and would not work with JBoss EAP 7? I managed to only get this reference link.

Answer Source

KODO comes with enhancement mechanism (recompiles DTO with persistence functions and enhancement) which damages the byte-code validation. So for JBoss EAP 7 working on JDK 1.8 we need to set the –noverify for the JAVA_OPTS. This will disable the bytecode validation for the class files being loaded, and KODO can run on JBoss EAP 7 with JDK 1.8.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download